/v1/nat/entries/{deviceId}

Prev Next
Get
/v1/nat/entries/{deviceId}

Get the NAT entries for the device

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Path parameters
deviceId
integer (int64) Required
Example1234567891011
Responses
200

OK

Expand All
object
natEntries
Array of object (ipfixNatEntry)
object
destinationIpAddress
string
Exampleexample string
destinationPort
integer (int32)
Minimum0
Example123
insideGlobalIpAddress
string
Exampleexample string
insideGlobalPort
integer (int32)
Minimum0
Example123
insideLocalIpAddress
string
Exampleexample string
insideLocalPort
integer (int32)
Minimum0
Example123
natType
string
ExampleENUM_VALUE
outsideGlobalIpAddress
string
Exampleexample string
outsideGlobalPort
integer (int32)
Minimum0
Example123
preDestinationIpAddress
string
Exampleexample string
preDestinationPort
integer (int32)
Minimum0
Example123
vrfId
integer (int64)
Minimum0
Example12345678910
pageInfo
object (commonPageInfo)
currentPage
integer (int32)

The page number we are currently on (required)

Minimum0
Example1
endCursor
string

Cursor pointing to the last record on the current page

Examplexxxxxxy
hasNextPage
boolean

An indicator whether there is a page after this one in the resultset based on current position

Exampletrue
hasPrevPage
boolean

An indicator whether there is a page before this one in the resultset based on current position

Exampletrue
startCursor
string

Cursor pointing to the first record on the current page

Examplexxxxxx
totalPages
integer (int32)

The number of pages in the complete resultset based on the current length of the page (required)

Minimum0
Example4
totalRecords
integer (int32)

Describes the total number of records in the complete resultset (required)

Minimum0
Example400
ts
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011